name 						= " Lulu"
version 					= "0.10"

russian = name.utf8len and (russian or language == "ru")
description = (
	russian
	
	and "Мод добавляет нового персонажа Лулу!".."\nВерсия "..version
	
	or "Mod add new character Lulu!".."\nVercion "..version
	)
forumthread = ""
author 						= "Filigrani"
forumthread 				= ""
api_version 				= 10
priority 					= 0.807363154
dont_starve_compatible 		= false
reign_of_giants_compatible 	= false
shipwrecked_compatible 		= false
dst_compatible 				= true

all_clients_require_mod 	= true 

icon_atlas                  = "modicon.xml"
icon                        = "modicon.tex"

--server_filter_tags = {"a_water"}

local opt_Empty = {{description = "", data = 0}}
local function Title(title,hover)
	return {
		name=title,
		hover=hover,
		options=opt_Empty,
		default=0,
	}
end
local SEPARATOR = Title("")

configuration_options =
{

	SEPARATOR,
	Title(russian and "Парамтеры Лулу:" or "Lulu starts:"),
	{
		name = "lulu_hp",
		label = russian and "Здоровье Лулу:" or "Lulu Health Max:",
		options =
		{
		    {description = russian and "110" or "110", data = 110},
		    {description = russian and "120" or "120", data = 120},
			{description = russian and "150" or "150", data = 150},
			{description = russian and "180" or "180", data = 180},
			{description = russian and "200" or "200", data = 200},
			{description = russian and "250" or "250", data = 250},
			{description = russian and "300" or "300", data = 300},
			{description = russian and "350" or "350", data = 350},
			{description = russian and "400" or "400", data = 400},
		},
		default = 180,
	},
	
	{
		name = "lulu_hunger",
		label = russian and "Сытось Лулу:" or "Lulu Hunger Max:",
		options =
		{
		    {description = russian and "110" or "110", data = 110},
		    {description = russian and "120" or "120", data = 120},
			{description = russian and "150" or "150", data = 150},
			{description = russian and "180" or "180", data = 180},
			{description = russian and "200" or "200", data = 200},
			{description = russian and "250" or "250", data = 250},
			{description = russian and "300" or "300", data = 300},
			{description = russian and "350" or "350", data = 350},
			{description = russian and "400" or "400", data = 400},
		},
		default = 120,
	},
	
	{
		name = "lulu_sanity",
		label = russian and "Рассудок Лулу:" or "Lulu Sanity Max:",
		options =
		{
		    {description = russian and "110" or "110", data = 110},
		    {description = russian and "120" or "120", data = 120},
			{description = russian and "150" or "150", data = 150},
			{description = russian and "180" or "180", data = 180},
			{description = russian and "200" or "200", data = 200},
			{description = russian and "250" or "250", data = 250},
			{description = russian and "300" or "300", data = 300},
			{description = russian and "350" or "350", data = 350},
			{description = russian and "400" or "400", data = 400},
		},
		default = 110,
	},
	
	SEPARATOR,
	Title(russian and "Настройки перков" or "Perks options"),
	{
		name = "mash_open",
		label = russian and "Сбор грибов в любое время?" or "Collect mashrooms any time?",
		options =
		{
			{description = russian and "Не-а" or "Nope", data = 0},
			{description = russian and "Ага" or "Yep", data = 1},
		},
		default = 1,
	},
	{
		name = "eye_lulu",
		label = russian and "Глазоцвет атакует Лулу?" or "Eyeplant attack Lulu?",
		options =
		{
			{description = russian and "Не-а" or "Nope", data = 0},
			{description = russian and "Ага" or "Yep", data = 1},
		},
		default = 0,
	},
	{
		name = "get_fru",
		label = russian and "Довать фрукты каждые" or "Get fruits every",
		options =
		{
		    {description = russian and "Не довать" or "Don`t give", data = 0},
			{description = russian and "Сутки" or "Day", data = 1},
			{description = russian and "2 Дня" or "2 Days", data = 2},
			{description = russian and "3 Дня" or "3 Days", data = 3},
			{description = russian and "4 Дня" or "4 Days", data = 4},
			{description = russian and "5 Дней" or "5 Days", data = 5},
		},
		default = 2,
	},
	
	{
		name = "lulu_diet",
		label = russian and "Еъст мясо?" or "Can eat meat?",
		options =
		{
			{description = russian and "Не-а" or "Nope", data = 0},
			{description = russian and "Ага" or "Yep", data = 1},
		},
		default = 0,
	},
	
	{
		name = "lulu_flower_dead",
		label = russian and "Оставляет лепестки после смерти?" or "Leave petals on dead?",
		options =
		{
			{description = russian and "Не-а" or "Nope", data = 0},
			{description = russian and "Ага" or "Yep", data = 1},
		},
		default = 1,
	},
	
	{
		name = "lulu_craft",
		label = russian and "Может крафтить луковицу?" or "Can craft lureplant bulb?",
		options =
		{
			{description = russian and "Не-а" or "Nope", data = 0},
			{description = russian and "Ага" or "Yep", data = 1},
		},
		default = 1,
	},
}
